:root {
  --bg-light: #ffffff;
  --text-light: #000000;
  --bg-dark: #121212;
  --text-dark: #f0f0f0;
  --link-color: #000; /* ライトモード用のリンク色 */
}

body {
  margin: 0;
  font-family: NotoSerifJP, Roboto, sans-serif, monospace;
  background-color: var(--bg-light);
  color: var(--text-light);
}

body.darkMode {
  background-color: var(--bg-dark);
  color: var(--text-dark);
    --link-color: #fff; /* ダークモード用のリンク色 */
}
navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;
}
body.darkMode .navbar {
  background-color: #121212;
}

.nav-left {
  margin-left: 13em;
  font-weight: bold;
}
.nav-right {
  display: flex;
  align-items: center;
}

/* トグルスイッチ */
.theme-switch {
  position: relative;
  display: inline-block;
  top: 27px;
  left: 5px;
  width: 50px;
  height: 28px;
}
.theme-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
.slider {
  background-color: #888;
  border-radius: 30px;
  position: absolute;
  cursor: pointer;
  inset: 0;
/*  transition: background-color 0.4s;*/
}
.slider::before {
  content: "";
  position: absolute;
  top: 3.5px;
  height: 22px;
  width: 22px;
  left: 3px;
  bottom: 3px;
  background-color: #fff;
  border-radius: 50%;
/*  transition: transform 0.4s;*/
}
input:checked + .slider::before {
  transform: translateX(22px);
}
.slider .icon {
  position: absolute;
  top: -1px;
  font-size: 20px;
  pointer-events: none;
/*  transition: transform 0.3s;*/
}
input:checked + .slider .icon {
  transform: translateX(22px);
}

/* リセットボタン */
#resetBtn {
  position: absolute;
  top: 24px;
  left: 155px;
  background: none;
  border: none;
  font-size: 20px;
  cursor: pointer;
}

div.screen-l {
  float: left;
  width: 40%;
  font-size: 1.3em;
  margin-left: 15%;
  margin-bottom: 3em;
}

div.screen-r {
  float: right;
  width: 40%;
  font-size: 1.3em;
  margin-right: 3%;
  margin-bottom: 3em;
}

h1 {
  font-size: 1.3em;
  font-weight: bold;
  margin: 1.5em 0;
  text-align: center;
  text-decoration: underline;
}

h2 {
  font-size: 1em;
  font-weight: bold;
  margin: 1.5em 0 2em 0;
}

h3 {
  font-size: 1em;
  font-weight: bold;
}

.mes {
  font-size: 1.2em;
  font-weight: normal;
  width: 73%;
  margin: 2em auto 2em auto;
  line-height: 1.3em;
  text-decoration: none;
  border: 1px solid red;
  padding: 0.5em;
}

.mes-1 {
  font-size: 1.2em;
  font-weight: normal;
  width: 50%;
  margin: 2em auto 2em auto;
  line-height: 1.3em;
  text-decoration: none;
  border: 1px solid red;
  padding: 0.5em;
}

.note {
  font-size: 1.2em;
  font-weight: bold;
  text-align: center;
  width: 70%;
  margin: 3em auto 3em auto;
  clear: both;
}

.note-1 {
  font-size: small;
  font-weight: bold;
  text-align: center;
  width: 70%;
  margin: 3em auto 3em auto;
  clear: both;
}
a {
  color: var(--link-color);
}
a:link, a:visited {
  text-decoration: none;
}

a:hover {
  color: #993300;
  text-decoration: underline;
}

.red {
  color: red;
}
.kiaka {
  color: #F36C21;
}
.syou {
  font-size: 0.9em;
  margin-left: 2em;
  text-decoration: none;
}

.xsmall {
  font-size: 0.7em;
  text-align: center;
}

.exp {
  font-size: 0.9em;
  font-weight: normal;
  margin: -0.5em 0 0 2em;
  text-decoration: none;
}

.exp-1 {
  font-size: 0.9em;
  font-weight: normal;
  margin: 0.5em 0 0 2em;
  text-decoration: none;
}

.img {
  text-align: center;
}

.gazo {
  margin: 0 0.8em;
}

.aka {
  color: red;
  text-align: center;
  font-size: 1.2em;
  font-weight: bold;
}

.tya {
  color: #9c0000;
}

.cent {
  text-align: center;
  font-size: 1.2em;
  margin-top: 1em;
  margin-bottom: 0;
}

.att {
  font-size: 1.3em;
  margin: 2em 0;
  text-align: center;
}

a img {
  border: 0;
}
.end {
  margin: 2em 0 3em 18em;
}
@font-face {
  font-family: 'NotoSerifJP';
  src: url('../../font/NotoSerifJP-Regular.otf') format('opentype');
}
